summaryrefslogtreecommitdiffstats
path: root/desktop/obconf
diff options
context:
space:
mode:
author Chess Griffin <chess@chessgriffin.com>2010-05-11 19:43:56 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 19:43:56 +0200
commita9c884b8ebc0861e799ae849bb3287fe3ecef8a5 (patch)
treea27b32af2773a9fc21584a870c875417602f7f2c /desktop/obconf
parenta9ca4b9f63c2016b69a3b8e7c4439a575b27f1e0 (diff)
downloadslackbuilds-a9c884b8ebc0861e799ae849bb3287fe3ecef8a5.tar.gz
slackbuilds-a9c884b8ebc0861e799ae849bb3287fe3ecef8a5.tar.xz
desktop/obconf: Updated for version 2.0.3
Diffstat (limited to 'desktop/obconf')
-rw-r--r--desktop/obconf/README1
-rw-r--r--desktop/obconf/doinst.sh9
-rw-r--r--desktop/obconf/obconf.SlackBuild38
-rw-r--r--desktop/obconf/obconf.info10
-rw-r--r--desktop/obconf/slack-desc13
5 files changed, 42 insertions, 29 deletions
diff --git a/desktop/obconf/README b/desktop/obconf/README
index cfcd8f7948..b798e12d83 100644
--- a/desktop/obconf/README
+++ b/desktop/obconf/README
@@ -2,4 +2,3 @@ ObConf is a GTK+ tool to assist with the configuration of the
Openbox window manager.
Requires Openbox, which is available on SlackBuilds.org.
-
diff --git a/desktop/obconf/doinst.sh b/desktop/obconf/doinst.sh
new file mode 100644
index 0000000000..4557defa56
--- /dev/null
+++ b/desktop/obconf/doinst.sh
@@ -0,0 +1,9 @@
+
+if [ -x usr/bin/update-desktop-database ]; then
+ usr/bin/update-desktop-database -q usr/share/applications
+fi
+
+if [ -x usr/bin/update-mime-database ]; then
+ usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
diff --git a/desktop/obconf/obconf.SlackBuild b/desktop/obconf/obconf.SlackBuild
index 530c17954c..0913ecbb17 100644
--- a/desktop/obconf/obconf.SlackBuild
+++ b/desktop/obconf/obconf.SlackBuild
@@ -2,19 +2,20 @@
# Slackware build script for obconf
-# Written by Chess Griffin <chess at chessgriffin dot com>
+# Written by Chess Griffin <chess@chessgriffin.com>
-PRGNAM=obconf
-VERSION=1.6
-ARCH=${ARCH:-i486}
+PRGNAM=obconf
+VERSION=2.0.3
+ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-CWD=`pwd`
+
+CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-DOCS="ABOUT-NLS AUTHORS COPYING README TODO"
+DOCS="ABOUT-NLS AUTHORS CHANGELOG COPYING README"
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
@@ -22,12 +23,14 @@ elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
fi
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
-cd $TMP || exit 1
+cd $TMP
rm -rf $PRGNAM-$VERSION
-tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
-cd $PRGNAM-$VERSION || exit 1
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
@@ -36,30 +39,23 @@ CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
--sysconfdir=/etc \
- --localstatedir=/var \
- || exit 1
+ --localstatedir=/var
-make || exit 1
-make install DESTDIR=$PKG || exit 1
+make
+make install DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)
-if [ -d $PKG/usr/man ]; then
-( cd $PKG/usr/man
- find . -type f -exec gzip -9 {} \;
- for i in `find . -type l` ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
-)
-fi
-
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/desktop/obconf/obconf.info b/desktop/obconf/obconf.info
index c3a8d9b951..2439719756 100644
--- a/desktop/obconf/obconf.info
+++ b/desktop/obconf/obconf.info
@@ -1,8 +1,8 @@
PRGNAM="obconf"
-VERSION="1.6"
-HOMEPAGE="http://tr.openmonkey.com/pages/obconf"
-DOWNLOAD="http://tr.openmonkey.com/files/obconf/obconf-1.6.tar.gz"
-MD5SUM="aaf62498b11d52dfce7a0b6060867a19 "
+VERSION="2.0.3"
+HOMEPAGE="http://icculus.org/openbox/index.php/ObConf:About"
+DOWNLOAD="http://icculus.org/openbox/obconf/obconf-2.0.3.tar.gz"
+MD5SUM="b22e273721851dedad72acbc77eefb68"
MAINTAINER="Chess Griffin"
EMAIL="chess@chessgriffin.com"
-APPROVED="BP{k},robw810"
+APPROVED="rworkman"
diff --git a/desktop/obconf/slack-desc b/desktop/obconf/slack-desc
index f9fcbb4f69..c1c50f26a3 100644
--- a/desktop/obconf/slack-desc
+++ b/desktop/obconf/slack-desc
@@ -1,10 +1,19 @@
-obconf: ObConf Openbox preferences manager
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+obconf: ObConf (Openbox preferences manager)
obconf:
obconf: ObConf is a GTK+ tool to assist with the configuration of the
obconf: Openbox window manager.
obconf:
-obconf: Homepage: http://tr.openmonkey.com/pages/obconf
+obconf: Homepage: http://icculus.org/openbox/index.php/ObConf:About
obconf:
obconf:
obconf:
obconf:
+obconf: